This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021850 - AssetNotPrecompiledError: when you select the event_history of selected distributor
AssetNotPrecompiledError: when you select the event_history of selected distr...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
sthirugn@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 04:25 EDT by Sachin Ghai
Modified: 2014-04-30 13:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 13:56:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error on selecting event history of selected distributor (71.89 KB, image/png)
2013-10-22 04:25 EDT, Sachin Ghai
no flags Details
complete error log from notification page (15.28 KB, text/plain)
2013-10-22 04:27 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2013-10-22 04:25:00 EDT
Created attachment 814900 [details]
error on selecting event history of selected distributor

Description of problem:
On selecting the event history of selected distributor, UI raised following error:

-
   distributors/distributor_events.js isn't precompiled (Sprockets::Helpers::RailsHelper::AssetPaths::AssetNotPrecompiledError)
    Click here for more details.
-

Version-Release number of selected component (if applicable):
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-glue-candlepin-1.4.6-40.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-foreman-all-1.4.6-40.el6sat.noarch
katello-configure-1.4.7-6.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-elasticsearch-1.4.6-40.el6sat.noarch
katello-cli-1.4.3-24.el6sat.noarch
katello-cli-common-1.4.3-24.el6sat.noarch
katello-1.4.6-40.el6sat.noarch
katello-all-1.4.6-40.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
rubygem-hammer_cli_katello_bridge-0.0.6-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-common-1.4.6-40.el6sat.noarch
katello-glue-pulp-1.4.6-40.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-1.4.7-6.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a new distributor
2. Go to details --> Event History
3.

Actual results:
   distributors/distributor_events.js isn't precompiled (Sprockets::Helpers::RailsHelper::AssetPaths::AssetNotPrecompiledError)
    Click here for more details.

Expected results:
UI shouldn't raise any error on selecting event history

Additional info:
Comment 1 Sachin Ghai 2013-10-22 04:27:10 EDT
Created attachment 814901 [details]
complete error log from notification page
Comment 3 sthirugn@redhat.com 2014-04-30 13:56:22 EDT
Custom Distributor not relevant to Sat 6 now.

Note You need to log in before you can comment on or make changes to this bug.